slepc-3.10.1 2018-10-23
Report Typos and Errors

# SVDMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDMonitorSetFromOptions(SVD svd,const char name[],const char help[],const char manual[],PetscErrorCode (*monitor)(SVD,PetscInt,PetscInt,PetscReal*,PetscReal*,PetscInt,PetscViewerAndFormat*),PetscBool trackall)

Collective on SVD

### Input Parameters

| svd | - the singular value solver context
| name | - the monitor option name
| help | - message indicating what monitoring is done
| manual | - manual page for the monitor
| monitor | - the monitor function, whose context is a PetscViewerAndFormat
| trackall | - whether this monitor tracks all singular values or not

### See Also

SVDMonitorSet(), SVDSetTrackAll(), SVDConvMonitorSetFromOptions()

Location: src/svd/interface/svdopts.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages